Customer pools

Create Customer Custom Attribute

Create a customer custom attribute.

POST
/customer/projects/{projectId}/customer-pools/{customerPoolId}/custom-attributes

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

customerPoolId*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.dokaai.com/api/v1/dokaai/customer/projects/string/customer-pools/string/custom-attributes" \  -H "Content-Type: application/json" \  -d '{    "customAttributes": [      {        "fieldName": "string",        "fieldDisplayName": "string",        "fieldDescription": "string",        "fieldType": "string"      }    ]  }'
{
  "status": "success",
  "message": "string",
  "data": {
    "attributes": [
      {
        "id": "string",
        "fieldName": "string",
        "fieldDisplayName": "string",
        "fieldDescription": "string",
        "fieldType": "string",
        "organizationId": "string",
        "customerPoolId": "string",
        "isMandatory": true,
        "createdById": "string",
        "createdDate": "2019-08-24T14:15:22Z",
        "modifiedById": "string",
        "modifiedDate": "2019-08-24T14:15:22Z",
        "isActive": true,
        "isDeleted": true
      }
    ]
  },
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}